org.apache.ignite.internal.processors.odbc.jdbc

## Class JdbcBulkLoadAckResult

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.jdbc.JdbcResult
  - - org.apache.ignite.internal.processors.odbc.jdbc.JdbcBulkLoadAckResult

All Implemented Interfaces:
  JdbcRawBinarylizable

    public class JdbcBulkLoadAckResult
    extends JdbcResult

A reply from server to SQL COPY command, which is essentially a request from server to client to send files from client to server (see IGNITE-6917 for details).

See Also:
  `for the protocol.`, `SqlBulkLoadCommand`

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.odbc.jdbc.JdbcResult

`BATCH_EXEC`

### Constructor Summary

Constructors
Constructor and Description
`JdbcBulkLoadAckResult()` Creates uninitialized bulk load batch request result.
`JdbcBulkLoadAckResult(long qryId, BulkLoadAckClientParameters params)` Constructs a request from server (in form of reply) to send files from client to server.

### Method Summary

All Methods Instance Methods Concrete Methods
`BulkLoadAckClientParameters` `params()` Returns the parameters for the client.
`long` `queryId()` Returns the query ID.
`void` `readBinary(BinaryReaderExImpl reader)` Reads fields from provided reader.
`String` `toString()`
`void` `writeBinary(BinaryWriterExImpl writer)` Writes fields to provided writer.

### Methods inherited from class org.apache.ignite.internal.processors.odbc.jdbc.JdbcResult

`readResult`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JdbcBulkLoadAckResult

    public JdbcBulkLoadAckResult()

Creates uninitialized bulk load batch request result.

#### JdbcBulkLoadAckResult

    public JdbcBulkLoadAckResult(long qryId,
                                 BulkLoadAckClientParameters params)

Constructs a request from server (in form of reply) to send files from client to server.

Parameters:
  `qryId` - Query ID to send in further `JdbcBulkLoadBatchRequest`s.
  `params` - Various parameters for sending batches from client side.

### Method Detail

#### queryId

    public long queryId()

Returns the query ID.

Returns:
  Query ID.

#### params

    public BulkLoadAckClientParameters params()

Returns the parameters for the client.

Returns:
  The parameters for the client.

#### writeBinary

    public void writeBinary(BinaryWriterExImpl writer)
                     throws BinaryObjectException

Writes fields to provided writer.

Specified by:
  `writeBinary` in interface `JdbcRawBinarylizable`
Overrides:
  `writeBinary` in class `JdbcResult`
Parameters:
  `writer` - Binary object writer.
Throws:
  `BinaryObjectException` - In case of error.

#### readBinary

    public void readBinary(BinaryReaderExImpl reader)
                    throws BinaryObjectException

Reads fields from provided reader.

Specified by:
  `readBinary` in interface `JdbcRawBinarylizable`
Overrides:
  `readBinary` in class `JdbcResult`
Parameters:
  `reader` - Binary object reader.
Throws:
  `BinaryObjectException` - In case of error.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018